ir
Device proxies

The ir proxy provides an interface to the ir sensors built into robots such as the RWI B21R. More...

## Classes

struct | playerc_ir_t
| Ir proxy data. More...

## Functions

PLAYERC_EXPORT playerc_ir_t * | playerc_ir_create (playerc_client_t *client, int index)
| Create a ir proxy. More...
PLAYERC_EXPORT void | playerc_ir_destroy (playerc_ir_t *device)
| Destroy a ir proxy. More...
PLAYERC_EXPORT int | playerc_ir_subscribe (playerc_ir_t *device, int access)
| Subscribe to the ir device. More...
PLAYERC_EXPORT int | playerc_ir_unsubscribe (playerc_ir_t *device)
| Un-subscribe from the ir device. More...
PLAYERC_EXPORT int | playerc_ir_get_geom (playerc_ir_t *device)
| Get the ir geometry. More...

## Detailed Description

The ir proxy provides an interface to the ir sensors built into robots such as the RWI B21R.

## Function Documentation

PLAYERC_EXPORT playerc_ir_t* playerc_ir_create | ( | playerc_client_t * | client,
|  | int | index
| ) |  |

Create a ir proxy.

PLAYERC_EXPORT void playerc_ir_destroy | ( | playerc_ir_t * | device | ) |

Destroy a ir proxy.

PLAYERC_EXPORT int playerc_ir_get_geom | ( | playerc_ir_t * | device | ) |

Get the ir geometry.

This writes the result into the proxy rather than returning it to the caller.

PLAYERC_EXPORT int playerc_ir_subscribe | ( | playerc_ir_t * | device,
|  | int | access
| ) |  |

Subscribe to the ir device.

PLAYERC_EXPORT int playerc_ir_unsubscribe | ( | playerc_ir_t * | device | ) |

Un-subscribe from the ir device.

Last updated 12 September 2005 21:38:45